List Bindings
curl --request GET \
--url https://api.gcore.com/billing/org/v1/bindings \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/bindings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"process_id": "<string>",
"client_id": -1,
"status": "error",
"payment_method_id": 123,
"payment_resource": {
"id": 123,
"type": "adyen",
"payment_method": 123,
"config": {},
"archive": true,
"locked_fraud": true
},
"result": "<unknown>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}payment-bindings
List Bindings
Retrieve a list of Binding objects.
You can use query parameters to filter, sort, and paginate the results.
GET
/
billing
/
org
/
v1
/
bindings
List Bindings
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Number of results to return per page. Maximum is 100. Default is 20.
The initial index from which to return the results.
Ordering of the results.
For ascending sort order use field.asc, for descending sort order use field.desc.
For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.
Final stable tiebreak ordering is added except when pk sorting used.
created_at.asc- Created atcreated_at.desc- Created at (descending)updated_at.asc- Updated atupdated_at.desc- Updated at (descending)
Available options:
created_at.asc, created_at.desc, updated_at.asc, updated_at.desc Order by created_at or updated_at
created_at- Created at-created_at- Created at (descending)updated_at- Updated at-updated_at- Updated at (descending)
Available options:
-created_at, -updated_at, created_at, updated_at error- errorfinished- finishednew- newwaiting_details-waiting_detailswaiting_notification-waiting_notification
Available options:
error, finished, new, waiting_details, waiting_notification Was this page helpful?